spack:
  #url: git@gitlab.physik.uni-muenchen.de:LDAP_rbg/spack.git
  #branch: lmu/ubuntu20.04-icon
  #compiler: gcc@11.3.0
  init: "" # command to load spack environment, e.g. module load spack, use spack/setup-env.sh if empty
  url: https://github.com/spack/spack.git # url to download spack if necessary
  branch: develop # if downloaded, branch name to use
  externals: "" # list of packages we try to find with spack external find
  compiler: "gcc@12.2.0" # desired compiler for spack
  root: "%HPCROOTDIR%/spack" # path to a spack install, will be downloaded to if not present
  user_cache_path: "%HPCROOTDIR%/spack_user_cache_path" # spack puts data here when bootstrapping, leave empty to use home folder
  user_config_path: "%HPCROOTDIR%/spack_user_config_path" # spack puts data here when bootstrapping, leave empty to use home folder
  disable_local_config: false # if true, spack installs into spack source dir

icon:
  build_cmd: "icon-nwp@%ICON.VERSION%% %SPACK.COMPILER% ^openmpi+pmi+legacylaunchers schedulers=slurm fabrics=ucx ucx+dc+dm+ib_hw_tm+mlx5_dv+rc+rdmacm+thread_multiple+ud+verbs"
  version: master

python_environment:
  # Name of the virtual environment in the remote platform experiment folder
  folder_name: python_environment
  python_version: "3.8:"   # In spack notation use x: to indicate at least x
  requirements:
    # Because there's an issue with numba, for now we need to keep a specific version of numpy
    - numpy==1.23
    - enstools-compression
    # Just to try a library from a git repository.
    - git+https://gitlab.physik.uni-muenchen.de/Oriol.Tinto/otils.git
    - f90nml

LOGIN: "LOGIN"
